Bug 507794 - S-c-tools cleanup: add uninstall support - suggestion
S-c-tools cleanup: add uninstall support - suggestion
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493604
  Show dependency treegraph
 
Reported: 2009-06-24 06:18 EDT by Jaroslav Reznik
Modified: 2009-12-28 06:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-28 06:05:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-06-24 06:18:28 EDT
Description of problem: there's no possibility for user to uninstall language support installed by s-c-language.

Actual results:
User can't uninstall language support installed by this tool.

Expected results:
User can uninstall language support installed by this tool.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Bug Zapper 2009-11-16 05:23:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Pravin Satpute 2009-12-04 02:16:02 EST
while installing language s-c-l uses

$yum groupinstall langname-support
It is good

but if you do 
$yum groupremove langname-support

it will remove so many packages which are actually need,

 and it is not preferred way, so better user uses yum, or rpm to remove packages he don't want

i guess better to close this bug
Comment 3 Jaroslav Reznik 2009-12-11 08:50:21 EST
If there's no easy solution revert installation of language pack, then it's ok for me to close this bug as DEFERRED. It should be nice feature to have but it probably needs some yum work or logging PK transaction to remove packages one by one later.
Comment 4 Pravin Satpute 2009-12-28 06:05:43 EST
Thanks Jaroslav
closing for now, will reopen if we found any good approach to tackle this

Note You need to log in before you can comment on or make changes to this bug.